#!/bin/bash

tag=0.35.0

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/LearnBoost/stylus.git
cd stylus
git archive --prefix="docs/" --format=tar tags/${tag}:docs/ \
    | bzip2 > "$pwd"/docs-${tag}.tar.bz2
popd
