%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-stylus
Version:    0.35.1
Release:    1%{?dist}
Summary:    Robust, expressive, and feature-rich CSS super-set for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/learnboost/stylus
Source0:    http://registry.npmjs.org/stylus/-/stylus-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-0.35.0.tar.bz2
# Source2 is generated by running Source20, which pulls from the upstream
# version control repository.
Source2:    docs-0.35.0.tar.bz2
# Custom man page for /usr/bin/stylus
Source3:    stylus.1
Source10:   dl-tests.sh
Source20:   dl-docs.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(debug)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sax)
BuildRequires:  npm(should)
%endif

%description
Stylus is a revolutionary new language, providing an efficient, dynamic,
and expressive way to generate CSS. It supports both indented syntax and
regular CSS style.

It has many features, including mixins, keyword arguments, variables,
interpolation, operators, conditionals, iteration, over 25 built-in functions,
optional compression and many more.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/stylus
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus/bin
install -p -D -m0755 bin/stylus \
    %{buildroot}%{nodejs_sitelib}/stylus/bin/stylus
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/stylus/bin/stylus \
    %{buildroot}%{_bindir}/stylus

# Custom man page for /usr/bin/stylus
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m0644 %{SOURCE2} \
    %{buildroot}%{_mandir}/man1/stylus.1

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require should --bail --reporter dot
%endif


%files
%doc LICENSE Readme.md docs/
%{nodejs_sitelib}/stylus
%{_bindir}/stylus
%{_mandir}/man1/stylus.1*


%changelog
* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.35.1-1
- update to upstream release 0.35.1
- restrict to compatible arches

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-2
- add docs/ directory from upstream git
- enable tests

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-1
- update to upstream release 0.32.1
- add custom man page for /usr/bin/stylus

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.0-1
- initial package
